# Live Stream Support (iOS)

We support live stream on iOS by default. And you could also follow the instructions below to enhance the function of live stream.

### Support low latency live stream

#### Install support library

Firstly, you need to install `FireworkVideoIVSSupport`. Please refer to <https://github.com/loopsocial/firework_ios_sdk_ivs_support#installation>

#### Integration

In your iOS project, you need to call `FireworkVideoSDK.enableIVSPlayback()` in `application(:, didFinishLaunchingWithOptions:) -> Bool` method.

```swift
import FireworkVideo
import FireworkVideoIVSSupport

func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
) -> Bool {
    FireworkVideoSDK.initializeSDK()
    FireworkVideoSDK.enableIVSPlayback()
    
    return true
}
```

### Use modern (v2) livestream player design

The modern (v2) livestream player offers a more extensive feature set than the classic (v1) version. For instance, features such as Giveaway, Trivia Giveaway, and AI Copilot are available exclusively in the modern player, and are not supported in the classic player.

```swift
// Use modern (v2) livestream player
FireworkVideoSDK.livestreamPlayerDesignVersion = .v2
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-for-developers/ios-sdk/integration-guide-for-ios-sdk/live-stream-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
